# Generated from ftp_paradise-1.4.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ftp_paradise

Name: rubygem-%{gem_name}
Version: 1.4.5
Release: 1%{?dist}
Summary: This project aims to provide some convenience bindings and addon-classes for the Ruby-FTP base module.  The basic idea for this project was to make working with FTP-related code simpler, and more convenient. This is why the project focuses both on commandline use, interactive commandline use, as well as GUI components (via ruby-gtk3 primarily).  Please be aware that since as of the year 2020, this project is in a low-effort maintenance mode only, though.  Bug fixes may still happen, as well as improvements made to the  documentation - but by and large, I am no longer modifying this  project that much anymore. My peak FTP days in regards to this project were mostly from 2010 to 2014. Since then I have found fewer use cases for this project.  For more information about the ftp_paradise project, please have a look at the online documentation at https://www.rubydoc.info/gems/ftp_paradise/ or within the doc/ subdirectory of this gem
License: GPL-2.0
URL: http://rubygems.org/gems/ftp_paradise
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.2.7
BuildRequires: ruby >= 2.7.2
BuildArch: noarch

%description
This project aims to provide some convenience bindings and addon-classes
for the Ruby-FTP base module.
The basic idea for this project was to make working with FTP-related
code simpler, and more convenient. This is why the project focuses
both on commandline use, interactive commandline use, as well as
GUI components (via ruby-gtk3 primarily).
Please be aware that since as of the year 2020, this project is in a
low-effort maintenance mode only, though.
Bug fixes may still happen, as well as improvements made to the 
documentation - but by and large, I am no longer modifying this 
project that much anymore. My peak FTP days in regards to this
project were mostly from 2010 to 2014. Since then I have found
fewer use cases for this project.
For more information about the ftp_paradise project, please have a look
at the online documentation at https://www.rubydoc.info/gems/ftp_paradise/
or within the doc/ subdirectory of this gem.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ftp_upload_binary
%{_bindir}/remote_remove
%{_bindir}/ftp_gtk3
%{_bindir}/ftp_get
%{_bindir}/create_remote_directory
%{_bindir}/iftp
%{_bindir}/ftp_upload
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/ftp_paradise.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.4.5-1
- Initial package
